com.icesoft.components.accessible.panelpopup

## Class PanelPopup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.ext.HtmlPanelGroup
          - - com.icesoft.components.accessible.panelpopup.PanelPopup

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class PanelPopup
      extends com.icesoft.faces.component.ext.HtmlPanelGroup

  PanelPopup is a JSF component class that represents an ICEfaces popup panel. The "header" and "body" named facets represent the components responsible for rendering the header and body of the popup panel.

  The component extends the ICEfaces extended HTMLPanelGroup.

  By default the component is rendered by the "com.icesoft.faces.PanelPopup" renderer type.
  Version:
    beta 1.0
  Author:
    Greg McCleary

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE` The component type.
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE` The default renderer type.

    - ### Fields inherited from class com.icesoft.faces.component.ext.HtmlPanelGroup

      `RENDERER_TYPE, SCROLLABLE_STYLE, visible`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelPopup()` Creates an instance and sets renderer type to "com.icesoft.faces.PanelPopup".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyStyle(javax.faces.context.FacesContext facesContext, org.w3c.dom.Element root)`
    `java.lang.String` | `getAutoPosition()`
    `javax.faces.component.UIComponent` | `getBody()`
    `java.lang.String` | `getBodyClass()`
    `javax.faces.component.UIComponent` | `getHeader()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `boolean` | `isAutoCentre()`
    `boolean` | `isClientOnly()`
    `boolean` | `isDragged()`
    `boolean` | `isModal()`
    `boolean` | `isPositionOnLoadOnly()`
    `boolean` | `isRendered()`
    `boolean` | `isResizable()` Returns true if component is resizable.
    `protected boolean` | `isRunningModal()`
    `boolean` | `isVisibilityChanged()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAutoCentre(boolean autoCentre)`
    `void` | `setAutoPosition(java.lang.String val)`
    `void` | `setClientOnly(boolean clientOnly)`
    `void` | `setDragged(boolean dragged)`
    `void` | `setModal(boolean modal)`
    `void` | `setPositionOnLoadOnly(boolean positionOnLoadOnly)`
    `void` | `setResizable(boolean resizable)` Sets the resizable attribute of the component.
    `protected void` | `setRunningModal(boolean runningModal)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.

    - ### Methods inherited from class com.icesoft.faces.component.ext.HtmlPanelGroup

      `broadcast, decode, getContextValue, getCurrentStyle, getDraggable, getDragListener, getDragMask, getDragOptions, getDragValue, getDropListener, getDropMask, getDropTarget, getDropTargetScrollerId, getDropValue, getEffect, getHoverclass, getMenuPopup, getOnclick, getOnclickeffect, getOndblclick, getOndblclickeffect, getOnkeydown, getOnkeydowneffect, getOnkeypress, getOnkeypresseffect, getOnkeyup, getOnkeyupeffect, getOnmousedown, getOnmousedowneffect, getOnmousemove, getOnmousemoveeffect, getOnmouseout, getOnmouseouteffect, getOnmouseover, getOnmouseovereffect, getOnmouseup, getOnmouseupeffect, getPanelTooltip, getRenderedOnUserRole, getRenderedStyle, getScrollHeight, getScrollWidth, isVisible, queueEvent, restoreSeriesState, saveSeriesState, setContextValue, setCurrentStyle, setDraggable, setDragListener, setDragMask, setDragOptions, setDragValue, setDropListener, setDropMask, setDropTarget, setDropTargetScrollerId, setDropValue, setEffect, setHoverclass, setMenuPopup, setOnclick, setOnclickeffect, setOndblclick, setOndblclickeffect, setOnkeydown, setOnkeydowneffect, setOnkeypress, setOnkeypresseffect, setOnkeyup, setOnkeyupeffect, setOnmousedown, setOnmousedowneffect, setOnmousemove, setOnmousemoveeffect, setOnmouseout, setOnmouseouteffect, setOnmouseover, setOnmouseovereffect, setOnmouseup, setOnmouseupeffect, setPanelTooltip, setRenderedOnUserRole, setRenderedStyle, setScrollHeight, setScrollWidth, setValueBinding, setVisible`

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGroup

      `getLayout, setLayout`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The component type.
      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      The default renderer type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelPopup

          public PanelPopup()

      Creates an instance and sets renderer type to "com.icesoft.faces.PanelPopup".

  - ### Method Detail

    - #### isAutoCentre

          public boolean isAutoCentre()

    - #### setAutoCentre

          public void setAutoCentre(boolean autoCentre)

    - #### isClientOnly

          public boolean isClientOnly()

    - #### setClientOnly

          public void setClientOnly(boolean clientOnly)

    - #### isPositionOnLoadOnly

          public boolean isPositionOnLoadOnly()

    - #### setPositionOnLoadOnly

          public void setPositionOnLoadOnly(boolean positionOnLoadOnly)

    - #### getAutoPosition

          public java.lang.String getAutoPosition()

    - #### setAutoPosition

          public void setAutoPosition(java.lang.String val)

    - #### getHeader

          public javax.faces.component.UIComponent getHeader()

      Returns:
        the "header" facet.

    - #### getBody

          public javax.faces.component.UIComponent getBody()

      Returns:
        the "body" facet.

    - #### isRendered

          public boolean isRendered()

      Overrides:
        `isRendered` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Returns:
        the headerClass style class name.

    - #### getBodyClass

          public java.lang.String getBodyClass()

      Returns:
        the bodyClass style class name.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Overrides:
        `getStyleClass` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### getStyle

          public java.lang.String getStyle()

      Overrides:
        `getStyle` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Overrides:
        `setStyle` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### isResizable

          public boolean isResizable()

      Returns true if component is resizable. This method will always return false as the resizable functionality has not been implemented in the 1.0 version.
      Returns:
        false

    - #### setResizable

          public void setResizable(boolean resizable)

      Sets the resizable attribute of the component. Note: The resizable function has not been implemented in the Beta relase.
      Parameters:
        `resizable` - a value of true will set the component to be resizable

    - #### isModal

          public boolean isModal()

      Returns:
        true if the component is modal.

    - #### setModal

          public void setModal(boolean modal)

      Parameters:
        `modal` - a value of true sets the component to be modal

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Overrides:
        `setTitle` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Overrides:
        `getTitle` in class `com.icesoft.faces.component.ext.HtmlPanelGroup`

    - #### applyStyle

          public void applyStyle(javax.faces.context.FacesContext facesContext,
                                 org.w3c.dom.Element root)

    - #### isDragged

          public boolean isDragged()

    - #### setDragged

          public void setDragged(boolean dragged)

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### isVisibilityChanged

          public boolean isVisibilityChanged()

    - #### isRunningModal

          protected boolean isRunningModal()

    - #### setRunningModal

          protected void setRunningModal(boolean runningModal)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.